#
# To build against different kernel use: --define "kernel_version VERSION-RELEASE"
#

Name: e1000
License: GPL
Group: System/Kernel
Summary: Replacement driver for Intel Gigabit Network cards.
Version: 8.0.6
Release: 4%{?dist}
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: %{name}-%{version}.tar.gz
Source1: %{name}-depmod.conf
Source1111: slc-kmodtool
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Requires: %{name}-kmod
Provides: %{name}-kmod-common = %{?epoch:%{epoch}:}%{version}

Source1111: slc-kmodtool
BuildRequires: %kernel_module_package_buildreqs

%define upvar default
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 ia64 x86_64
%define xenvar xen
%endif

%kernel_module_package -s %{SOURCE1111} -v %{kversion} -r %{krelease} %{?upvar} %{?xenvar} %{?paevar}

%description
Replacement driver for Intel Gigabit Network cards.

This driver replaces in-kernel %{name}  
by its updated version: %{version}

%prep
%setup -n %{name}-%{version}/src
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build ; do
   rm -rf obj/$flavor
   cp -r source obj/$flavor
   make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do 
   make -C %{kernel_source $flavor} modules_install \
           M=$PWD/obj/$flavor
done

install -d -m0755 $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/%{name}.conf

install -d -m0755 $RPM_BUILD_ROOT/%{_mandir}/man7/
install -m0644 ../%{name}.7 $RPM_BUILD_ROOT/%{_mandir}/man7/
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# could we automagically add pci.updates to hwdata , please ?
%doc ../COPYING ../pci.updates ../README
%{_mandir}/man7/%{name}.*
%config(noreplace) %{_sysconfdir}/depmod.d/%{name}.conf

%changelog
* Mon Oct 06 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial package 
- packaging changed to DUP: http://driverupdateprogram.com/
